set(COMPILER_UNIT_TEST_FILES 
        compiler/TestTemplatingEngine.cpp
        compiler/TestLexer.cpp
    PARENT_SCOPE
    )
    
set(COMPILER_UNIT_TEST_DEPENDENCIES 
        compiler
    PARENT_SCOPE
    )